soapy_source_c.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/sync_block.h>`
`#include "osmosdr/ranges.h"`
`#include "source_iface.h"`

Go to the source code of this file.

## Classes

class | soapy_source_c

## Namespaces

namespace | SoapySDR

## Functions

soapy_source_c_sptr | make_soapy_source_c (const std::string &args="")
| Return a shared_ptr to a new instance of soapy_source_c.

## Function Documentation

## make_soapy_source_c()

soapy_source_c_sptr make_soapy_source_c | ( | const std::string & | args = "" | ) |

Return a shared_ptr to a new instance of soapy_source_c.

To avoid accidental use of raw pointers, soapy_source_c's constructor is private. soapy_make_source_c is the public interface for creating new instances.